Bug 901607 - Add ability to promote/demote in pcs ordering constraints
Summary: Add ability to promote/demote in pcs ordering constraints
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcs
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-18 15:54 UTC by Chris Feist
Modified: 2013-11-21 11:50 UTC (History)
4 users (show)

Fixed In Version: pcs-0.9.64-1.el6.noarch
Doc Type: Bug Fix
Doc Text:
Cause: Using the pcs tool it was not possible to promote/demote master slave resources Consequence: Master/slave resource could not be promoted/demoted using pcs Fix: Add ability for pcs to promote/demote master/slave resources using constriants Result: Constraints that promote/demote master/slave resources can now be created using pcs.
Clone Of:
Environment:
Last Closed: 2013-11-21 11:50:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1633 normal SHIPPED_LIVE pcs bug fix and enhancement update 2013-11-20 21:53:48 UTC

Description Chris Feist 2013-01-18 15:54:18 UTC
Description of problem:
The crm shell will allow you to promote/demote master/slave resources, pcs should be able to do the same.

Comment 1 Chris Feist 2013-01-18 15:58:21 UTC
The command line should be something like this:

pcs resource promote <resource>
pcs resource demote <resource>

Comment 8 Chris Feist 2013-08-13 21:38:47 UTC
This is done with the following syntax:

pcs constraint order promote Res1 then promote Res2

    order [action] <resource id> then [action] <resource id> [options]
        Add an ordering constraint specifying actions (start,stop,promote,
        demote) and if no action is specified the default action will be
        start.
        Available options are kind=Optional/Mandatory/Serialize and
        symmetrical=true/false

Comment 14 errata-xmlrpc 2013-11-21 11:50:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1633.html


Note You need to log in before you can comment on or make changes to this bug.